%define redhatify 1

%define debug 0
%define final 0

%define qt_version 3.3.3
%define arts_version 1.3.0
%define kde_major_version 3

%define libtool 1
%define fam 1
%define dnotify 1
%define pcre 1
%define alsa 1
%define pie 1
%define arts 1

Version: 3.3.1
Release: 9.el4.0.1
Summary: K Desktop Environment - Libraries
Name: kdelibs
Url: http://www.kde.org/
Epoch: 6
Group: System Environment/Libraries
License: LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Source1: kde.sh
Source2: kde.csh

Patch1: kdelibs-3.2.2-pie.patch
Patch2: kdelibs-3.0.0-ndebug.patch
Patch3: kdelibs-3.2.0-icon.patch
Patch4: kdelibs-3.0.4-ksyscoca.patch
Patch5: kdelibs-3.3.0-openssl.patch
Patch15: kdelibs-3.1.95-buildroot.patch
Patch16: kdelibs-3.1-ssl-krb5.patch
Patch20: kdelibs-3.1-defaultstyle.patch
Patch22: kdelibs-3.1-kio.patch
Patch24: kdelibs-3.1-libtool.patch
Patch31: kdelibs-3.2.2-kate-setInputMethodEnabled-20040525.diff
Patch32: kdelibs-3.2.3-cups.patch
Patch33: kdelibs-3.3.2-ppc.patch
Patch34: kdelibs-3.3.0-trash.patch

# CVS fixes
Patch100: kdelibs-3.3.1-cvs.patch
Patch101: kdelibs-3.3.1-xml.patch
Patch102: kdelibs-3.3.1-mutex-warning.patch
Patch103: kdelibs-3.3.1-io-64.patch

# security fixes
# Patch200, Patch201: KDE Security Advisory: plain text password exposure
Patch200: post-3.3.1-kdelibs-khtml.diff
Patch201: post-3.3.1-kdelibs-kio.diff
# Patch202: KDE Security Advisory: Konqueror Window Injection Vulnerability
Patch202: post-3.3.2-kdelibs-htmlframes2.patch
# KDE Security Advisory: Konqueror Java Vulnerability CAN-2004-1145
Patch203: kdelibs-3.3.1-java.patch
# FTP command injection vulnerability, CAN-2004-1165
Patch204: post-3.3.2-kdelibs-kioslave.patch
# Patch205: CAN-2005-0365 dcopidlng insecure temporary file usage
Patch205: post-3.3.2-kdelibs-dcopidlng.patch
# CAN-2005-0396, Local DCOP denial of service vulnerability
Patch206: post-3.3.2-kdelibs-dcop.patch
# CAN-2005-0237, Konqueror International Domain Name Spoofing
Patch207: post-3.3.2-kdelibs-idn-2.patch
# CAN-2005-1046, kimgio input validation vulnerabilities
Patch208: post-3.3.2-kdelibs-kimgio-fixed.diff
# CAN-2005-1920, Kate backup file permission leak
Patch209: kdelibs-3.3.1-kate-security.patch
# CVE-2006-0019, kjs encodeuri/decodeuri heap overflow vulnerability
Patch210: post-3.2.3-kdelibs-kjs.diff
# CVE-2006-4811 - integer overflow in khtml
Patch211: kdelibs-3.3.1-khtml-overflow-CVE-2006-4811.patch
# CVE-2007-0537
Patch212: kdelibs-3.3.1-bz#293551-CVE-2007-0537.patch
# CVE-2007-0242
Patch213: kdelibs-3.3.1-bz#293881-CVE-2007-0242.patch
# Patch214, bz293401, CVE-2007-4224, CVE-2007-4225, CVE-2007-3820
# Konqueror address bar spoofing
Patch214: post-3.5.7-kdelibs-kdecore-2.diff
# bz#293881, CVE-2007-1564
Patch215: CVE-2007-1564-kdelibs-3.3.1.diff

%if %{arts}
Requires: arts >= 8:%{arts_version}
%endif
Requires: qt >= 1:%{qt_version}
Requires: openssl = 0.9.7a
Requires: cups-libs >= 1:1.1.12

%if %{redhatify}
Requires: desktop-backgrounds-basic
Requires: redhat-artwork >= 0.90.1
Requires: hicolor-icon-theme
Requires: redhat-menus >= 1.4
%endif

Requires: fileutils
Requires: shadow-utils
Requires: /sbin/ldconfig
Requires: dev

%if %{fam}
BuildRequires: fam-devel
%endif

%if %{pcre}
BuildRequires: pcre-devel
%endif

BuildRequires: gettext
BuildRequires: cups
BuildRequires: cups-devel >= 1:1.1.20
BuildRequires: qt-devel >= 1:%{qt_version}
BuildRequires: flex >= 2.5.4a-13
BuildRequires: doxygen
BuildRequires: libxslt-devel >= 1.1.2
BuildRequires: sgml-common
BuildRequires: openjade
BuildRequires: jadetex
BuildRequires: docbook-dtd31-sgml
BuildRequires: docbook-style-dsssl
BuildRequires: perl-SGMLSpm
BuildRequires: docbook-utils
BuildRequires: zlib-devel
BuildRequires: libidn-devel
%if %{arts}
BuildRequires: arts-devel >= 8:%{arts_version}
%endif
BuildRequires: audiofile-devel
BuildRequires: openssl-devel
BuildRequires: perl
BuildRequires: gawk
BuildRequires: byacc
BuildRequires: libart_lgpl-devel >= 2.3.8
BuildRequires: bzip2-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libacl-devel
BuildRequires: libattr-devel
BuildRequires: aspell-devel
BuildRequires: krb5-devel
BuildRequires: openldap-devel
BuildRequires: db4-devel
BuildRequires: alsa-lib-devel
BuildRequires: pkgconfig
BuildRequires: utempter

Obsoletes: %{name}2
Obsoletes: kdesupport
Obsoletes: kdoc

%description
Libraries for the K Desktop Environment:
KDE Libraries included: kdecore (KDE core library), kdeui (user interface),
kfm (file manager), khtmlw (HTML widget), kio (Input/Output, networking),
kspell (spelling checker), jscript (javascript), kab (addressbook),
kimgio (image manipulation).

%package devel
Group: Development/Libraries
Summary: Header files and documentation for compiling KDE applications.
Requires: qt-devel >= 1:%{qt_version}
Requires: %{name} = %{epoch}:%{version}-%{release}
%if %{arts}
Requires: arts-devel
%endif
Requires: libart_lgpl-devel
Requires: libxslt-devel
Requires: libjpeg-devel
Requires: zlib-devel
Requires: openssl-devel
Requires: bzip2-devel
Requires: libtiff-devel
Requires: libidn-devel
%if %{fam}
Requires: fam-devel
%endif
%if %{pcre}
Requires: pcre-devel
%endif
Obsoletes: kdesupport-devel

%description devel
This package includes the header files you will need to compile
applications for KDE.  Also included is the KDE API documentation in HTML
format for easy browsing.

%prep
%setup -q

%if %{pie}
%patch1 -p1 -b .pie
%endif
%if %{debug} == 0
%patch2 -p1 -b .debug
%endif
%patch4 -p1 -b .ksyscoca
%patch5 -p1 -b .openssl
%patch15 -p1 -b .buildroot
%patch16 -p1 -b .ssl-krb5
%patch20 -p1 -b .defaultstyle
%patch22 -p1 -b .kio
%patch24 -p1 -b .libtool
%patch31 -p1 -b .im
%patch32 -p1 -b .cups
%patch33 -p1 -b .ppc-altivec
%patch34 -p1 -b .trash

# CVS fixes
%patch100 -p1 -b .ccs
%patch101 -p1 -b .xml
%patch102 -p1 -b .mutex-warning
%patch103 -p1 -b .io-64

# security fixes
pushd khtml
%patch200 -p0 -b .smb
popd
pushd kio
%patch201 -p0 -b .smb
popd
%patch202 -p0 -b .html2
%patch203 -p1 -b .CAN-2004-1145
%patch204 -p0 -b .CAN-2004-1165
%patch205 -p0 -b .CAN-2005-0365
%patch206 -p0 -b .CAN-2005-0396
%patch207 -p0 -b .CAN-2005-0237
pushd kimgio
%patch208 -p0 -b .CAN-2005-1046
popd
%patch209 -p1 -b .CAN-2005-1920
%patch210 -p1 -b .CVE-2006-0019
%patch211 -p1 -b .khtml-overflow-CVE-2006-4811
%patch212 -p1 -b .CVE-2007-0537
%patch213 -p1 -b .CVE-2007-0242
%patch214 -p0 -b .bz293401-CVE-2007-4224-CVE-2007-4225-CVE-2007-3820
%patch215 -p1 -b .CVE-2007-1564

# add redhat into KDE_VERSION_STRING
%if %{redhatify}
   perl -pi -e "s,^#define KDE_VERSION_STRING .*,#define KDE_VERSION_STRING \"%{version}-%{release} Red Hat\"," kdecore/kdeversion.h
%endif

%build
unset QTDIR && . /etc/profile.d/qt.sh

%if %{libtool}
   make -f admin/Makefile.common cvs
%endif

# set some default FLAGS
FLAGS="$RPM_OPT_FLAGS"

%if %{debug}
   FLAGS="-O0"
%endif

export CXXFLAGS="$FLAGS -fno-use-cxa-atexit"
export CFLAGS="$FLAGS"
export QTLIB=$QTDIR/lib

if pkg-config openssl ; then
   export CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
   export CXXFLAGS="$CXXFLAGS `pkg-config --cflags openssl`"
   export CPPFLAGS="$CPPFLAGS `pkg-config --cflags-only-I openssl`"
   export LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi

# Check which version/distribution we are...
%if %{redhatify}
   VERSION=`cat /etc/redhat-release 2>/dev/null |awk '{ print $5; }'`
   if [ -z "$VERSION" -o -z "echo $VERSION |sed -e 's,[0-9]*,,g;s,\.,,g'" ]; then
      VERSION="A Red Hat Linux-based distribution"
   else
      VERSION="Red Hat Linux $VERSION"
   fi
%endif

VERSION=""

suffix=""
if [ "%{_lib}" == "lib64" ] ; then
   suffix="64"
fi

%configure \
   --with-qt-libraries=$QTLIB \
   --enable-libsuffix="$suffix" \
   --enable-cups \
   --enable-mitshm \
   --with-xinerama \
%if %{arts} == 0
   --without-arts \
%endif
%if %{redhatify}
   --with-distribution="$VERSION" \
%endif 
%if %{alsa}
   --with-alsa \
%endif
   --includedir=%{_includedir}/kde \
%if %{debug} == 0
   --disable-debug \
%endif
%if %{final}
   --enable-final \
%endif
%if %{fam} == 0
   --disable-libfam \
%endif
%if %{dnotify}
   --enable-dnotify \
%endif
%if %{pcre} == 0
   --disable-pcre \
%endif
   --disable-rpath

# ld breaks with -fPIC on ppc, workaround
# it will be removed when this bug is fixed
%ifarch ppc ppc64
   perl -pi -e 's,^pic_flag=" -fPIC -DPIC",pic_flag=" -fpic",g' libtool
%endif

make %{?_smp_mflags}
make apidox

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

chmod a+x $RPM_BUILD_ROOT%{_libdir}/*

pushd $RPM_BUILD_ROOT%{_docdir}
ln -sf HTML/en/kdelibs-apidocs %{name}-devel-%{kde_major_version}
popd

mkdir -p $RPM_BUILD_ROOT/etc/profile.d
install -m 755 %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT/etc/profile.d/

# Remove file conflicts with openoffice
rm -f $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/vnd.sun* \
      $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/vnd.stardivision*

# Make symlinks relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -sf ../common $i
   fi
done
popd

%if %{redhatify}
   rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/index.theme
   mv $RPM_BUILD_ROOT/etc/xdg/menus/applications.menu $RPM_BUILD_ROOT/etc/xdg/menus/applications.menu.kde
   echo "OnlyShowIn=KDE;" >> $RPM_BUILD_ROOT%{_datadir}/applications/kde/kresources.desktop
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -d /etc/skel/Desktop/Autostart ]; then
   mv -f /etc/skel/Desktop/Autostart /etc/skel/Desktop/Autostart-OLD..KDE
elif [ -d /etc/skel/Desktop/Autostart.rpmsave ]; then
   mv -f /etc/skel/Desktop/Autostart.rpmsave /etc/skel/Desktop/Autostart-OLD..KDE
fi
exit 0

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%attr(4755,root,root) %{_bindir}/kpac_dhcp_helper
%attr(4755,root,root) %{_bindir}/kgrantpty
/etc/profile.d/*
/etc/xdg/menus/*
%{_bindir}/ghns
%{_bindir}/fileshareset
%{_bindir}/khotnewstuff
%{_bindir}/makekdewidgets
%if %{arts}
%{_bindir}/artsmessage
%endif
%{_bindir}/checkXML
%{_bindir}/cupsdconf
%{_bindir}/cupsdoprint
%{_bindir}/dcop
%{_bindir}/dcopclient
%{_bindir}/dcopfind
%{_bindir}/dcopobject
%{_bindir}/dcopquit
%{_bindir}/dcopref
%{_bindir}/dcopserver
%{_bindir}/dcopserver_shutdown
%{_bindir}/dcopstart
%{_bindir}/imagetops
%{_bindir}/kab2kabc
%{_bindir}/kaddprinterwizard
%{_bindir}/kbuildsycoca
%{_bindir}/kconf_update
%{_bindir}/kconfig_compiler
%{_bindir}/kcookiejar
%{_bindir}/kde-config
%{_bindir}/kde-menu
%{_bindir}/kded
%{_bindir}/kdeinit
%{_bindir}/kdeinit_shutdown
%{_bindir}/kdeinit_wrapper
%{_bindir}/kdesu_stub
%{_bindir}/kdontchangethehostname
%{_bindir}/kfile
%{_bindir}/kfmexec
%{_bindir}/kimage_concat
%{_bindir}/kinstalltheme
%{_bindir}/kio_http_cache_cleaner
%{_bindir}/kio_uiserver
%{_bindir}/kioexec
%{_bindir}/kioslave
%{_bindir}/klauncher
%{_bindir}/kmailservice
%{_bindir}/ksendbugmail
%{_bindir}/kshell
%{_bindir}/ksvgtopng
%{_bindir}/ktelnetservice
%{_bindir}/ktradertest
%{_bindir}/kwrapper
%{_bindir}/lnusertemp
%{_bindir}/make_driver_db_cups
%{_bindir}/make_driver_db_lpr
%{_bindir}/meinproc
%{_bindir}/preparetips
%{_libdir}/lib*
%{_libdir}/kde3
%{_datadir}/applications
%{_datadir}/apps
%{_datadir}/locale/all_languages
%dir %{_datadir}/config
%config(noreplace) %{_datadir}/config/*
%{_datadir}/icons
%{_datadir}/mimelnk
%{_datadir}/autostart
%{_datadir}/services
%{_datadir}/servicetypes
%dir %{_docdir}/HTML
%dir %{_docdir}/HTML/en
%doc %{_docdir}/HTML/en/common
%doc %{_docdir}/HTML/en/kspell

%files devel
%defattr(-,root,root)
%{_bindir}/dcopidl*
%{_includedir}/kde
%doc %{_docdir}/%{name}-devel-%{kde_major_version}
%doc %{_docdir}/HTML/en/kdelibs*

%changelog
* Mon Oct 08 2007 Tianyue Lan <tianyue.lan@oracle.com> - 6:3.3.1-9.el4.0.1
- Remove Version branding
- Maximum rpm trademark logos removed (pics/crystalsvg/*mime-rpm*)

* Wed Sep 19 2007 Than Ngo <than@redhat.com> - 6:3.3.1-9.el4
- Resolves: bz293551,  CVE-2007-0537 CVE-2007-1564

* Mon Sep 17 2007 Than Ngo <than@redhat.com> - 6:3.3.1-8.el4
- resolves: #293401, CVE-2007-3820 CVE-2007-4224 CVE-2007-4225

* Tue May 08 2007 Than Ngo <than@redhat.com> - 6:3.3.1-7.RHEL4
- Resolves: #293881, UTF-8 overlong sequence decoding vulnerability, CVE-2007-0242
- Resolves: #293551, Konqueror improper HTML comment rendering, CVE-2007-0537

* Tue Oct 17 2006 Than Ngo <than@redhat.com> 6:3.3.1-6.RHEL4
- add missing buildreq

* Mon Oct 16 2006 Than Ngo <than@redhat.com> 6:3.3.1-5.RHEL4
- backport patch to fix integer overflow flaw CVE-2006-4811, bz#210742
  thank to Dirk Müller

* Fri Feb 17 2006 Than Ngo <than@redhat.com> 6:3.3.1-3.15
- migrated changes into the RHEL-4 branch

* Wed Jan 11 2006 Karsten Hopp <karsten@redhat.de> 6:3.3.1-3.14
- fix kjs encodeuri/decodeuri heap overflow vulnerability, CVE-2006-0019

* Mon Aug 22 2005 Than Ngo <than@redhat.com> 6:3.3.1-3.13
- backport CVS patch to fix 32/64 bit issue in kio #164886, #165139

* Wed Jul 13 2005 Than Ngo <than@redhat.com> 6:3.3.1-3.12
- apply CVS patch to get rid of "Mutex destroy failure: Device or resource busy", #159604

* Tue Jul 12 2005 Than Ngo <than@redhat.com> 6:3.3.1-3.11
- Kate backup file permission leak, apply patch to fix this vulnerabilities
  CAN-2005-1920, #163130

* Wed May 04 2005 Than Ngo <than@redhat.com> 6:3.3.1-3.10
- new patch to fix kimgio input validation vulnerabilities, CAN-2005-1046

* Tue Apr 19 2005 Than Ngo <than@redhat.com> 6:3.3.1-3.9
- kimgio input validation vulnerabilities, CAN-2005-1046

* Mon Apr 18 2005 Than Ngo <than@redhat.com> 6:3.3.1-3.8
- backport the patch to fix kimgio input validation vulnerabilities,
  CAN-2005-1046, #152092, thanks to KDE security team

* Wed Mar 23 2005 Than Ngo <than@redhat.com> 6:3.3.1-3.7
- get rid of broken AltiVec instructions on ppc

* Thu Mar 17 2005 Than Ngo <than@redhat.com> 6:3.3.1-3.6
- Applied patch to fix konqueror international domain name spoofing,
  CAN-2005-0237, #147405

* Wed Mar 02 2005 Than Ngo <than@redhat.com> 6:3.3.1-3.5
- Applied patch to fix DCOP DoS, CAN-2005-0396, #150090
  thanks KDE security team

* Wed Feb 16 2005 Than Ngo <than@redhat.com> 6:3.3.1-3.4
- Applied patch to fix dcopidlng insecure temporary file usage, CAN-2005-0365, #148822

* Thu Jan 20 2005 Than Ngo <than@redhat.com> 6:3.3.1-3.3
- Applied patch to fix Konqueror Java Vulnerability, CAN-2004-1145
- Applied patch to fix ftp kioslave command injection, CAN-2004-1165

* Mon Dec 13 2004 Than Ngo <than@redhat.com> 6:3.3.1-3.2
- apply the patch to fix Konqueror Window Injection Vulnerability #142510
  CAN-2004-1158,  Thanks to KDE security team

* Thu Dec 09 2004 Than Ngo <than@redhat.com> 6:3.3.1-3.1
- Security Advisory: plain text password exposure, #142487
  thanks to KDE security team

* Wed Nov 03 2004 Than Ngo <than@redhat.com> 6:3.3.1-2.1
- backport CVS patches, fix konqueror crash #134758

* Sat Oct 16 2004 Than Ngo <than@redhat.com> 6:3.3.1-2
- rebuilt for rhel

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 6:3.3.1-1
- update to KDE 3.3.1

* Wed Sep 29 2004 Than Ngo <than@redhat.com> 6:3.3.0-5
- add missing requires on libidn-devel

* Sun Sep 26 2004 Than Ngo <than@redhat.com> 6:3.3.0-4
- cleanup menu

* Mon Sep 20 2004 Than Ngo <than@redhat.com> 3.3.0-3
- fix a bug in ksslopen #114835

* Tue Sep 07 2004 Than Ngo <than@redhat.com> 6:3.3.0-2
- add patch to fix KDE trash always full #122988

* Thu Aug 19 2004 Than Ngo <than@redhat.com> 6:3.3.0-1
- update to 3.3.0 release

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 6:3.3.0-0.1.rc2
- update to 3.3.0 rc1

* Sun Aug 08 2004 Than Ngo <than@redhat.com> 6:3.3.0-0.1.rc1
- update to 3.3 rc1

* Fri Jul 23 2004 Than Ngo <than@redhat.com> 3.2.92-2
- update to KDE 3.3 Beta 2
- remove some unneeded patch files
- enable libsuffix

* Mon Jul 19 2004 Than Ngo <than@redhat.com> 6:3.2.3-6
- add IM patch
- set kprinter default to cups

* Mon Jul 12 2004 Than Ngo <than@redhat.com> 6:3.2.3-5
- rebuild

* Mon Jul 05 2004 Than Ngo <than@redhat.com> 6:3.2.3-4
- built with libpcre support, it's needed for using regular expressions in Javascript code bug #125264

* Thu Jul 01 2004 Than Ngo <than@redhat.com> 6:3.2.3-3
- fix double entry in filelist
- add some devel packages in requires

* Thu Jun 17 2004 Than Ngo <than@redhat.com> 3.2.3-2
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 31 2004 Than Ngo <than@redhat.com> 3.2.3-1
- update to KDE 3.2.3
- remove some patch files, which are now included in 3.2.3

* Mon May 17 2004 Than Ngo <than@redhat.com> 6:3.2.2-7
- add patch to enable PIE

* Sun May 16 2004 Than Ngo <than@redhat.com> 6:3.2.2-6
- vulnerability in the mailto handler, CAN-2004-0411

* Fri May 14 2004 Than Ngo <than@redhat.com> 3.2.2-5
- KDE Telnet URI Handler File Vulnerability , CAN-2004-0411

* Wed Apr 21 2004 Than Ngo <than@redhat.com> 3.2.2-4
- Implements the FreeDesktop System Tray Protocol, thanks to Harald Hoyer

* Mon Apr 19 2004 Than Ngo <than@redhat.com> 3.2.2-3
- fix #120265 #119642

* Sun Apr 18 2004 Warren Togami <wtogami@redhat.com> 3.2.2-2
- #120265 #119642 -devel req alsa-lib-devel esound-devel fam-devel
                             glib2-devel libart_lgpl-devel
- #88853 BR autoconf automake libpng-devel libvorbis-devel
            glib2-devel libtiff-devel
- cups-libs explicit epoch, some cleanups

* Tue Apr 13 2004 Than Ngo <than@redhat.com> 3.2.2-1
- 3.2.2 release

* Fri Mar 12 2004 Than Ngo <than@redhat.com> 6:3.2.1-1.4
- rebuild

* Thu Mar 11 2004 Than Ngo <than@redhat.com> 6:3.2.1-1.3
- get rid of application.menu, it's added in redhat-menus

* Fri Mar 05 2004 Than Ngo <than@redhat.com> 6:3.2.1-1.2
- respin

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Than Ngo <than@redhat.com> 3.2.1-1
- update to 3.2.1 release

* Tue Feb 17 2004 Than Ngo <than@redhat.com> 6:3.2.0-1.5
- fix typo bug, _smp_mflags instead smp_mflags

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 09 2004 Than Ngo <than@redhat.com> 6:3.2.0-0.4
- add new icon patch file 

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 6:3.2.0-0.3 
- build against qt 3.3.0
- fix a bug in ksslopen on x86_64, bug #114835

* Tue Feb 03 2004 Than Ngo <than@redhat.com> 6:3.2.0-0.2
- 3.2.0 release

* Fri Jan 23 2004 Than Ngo <than@redhat.com> 6:3.1.95-0.4
- fixed #114114

* Wed Jan 21 2004 Than Ngo <than@redhat.com> 6:3.1.95-0.3
- fixed file conflict with hicolor-icon-theme
- added requires: hicolor-icon-theme

* Tue Jan 20 2004 Than Ngo <than@redhat.com> 6:3.1.95-0.2
- added kde.sh, kde.csh
- fixed build problem
- fixed rpm file list

* Mon Jan 19 2004 Than Ngo <than@redhat.com> 6:3.1.95-0.1
- KDE 3.2 RC1

* Tue Dec 02 2003 Than Ngo <than@redhat.com> 6:3.1.94-0.2
- KDE 3.2 Beta2 respin

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 6:3.1.94-0.1
- KDE 3.2 Beta2

* Wed Nov 26 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.4
- add missing cupsdconf, cupsdoprint and dcopquit

* Tue Nov 25 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.3
- enable alsa support

* Sat Nov 08 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.2
- cleanup several patch files

* Mon Nov 03 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.1
- 3.2 Beta 1
- remove many patches, which are now in upstream
- adjust many redhat specific patch files
- cleanup rpm file list

* Fri Oct 17 2003 Than Ngo <than@redhat.com> 6:3.1.4-4
- fixed icon scale patch, thanks to Thomas Wörner

* Fri Oct 10 2003 Than Ngo <than@redhat.com> 6:3.1.4-3
- better icon scale patch

* Thu Oct 02 2003 Than Ngo <than@redhat.com> 6:3.1.4-2
- rebuild against new gcc-3.3.1-6, fixed miscompiled code on IA-32 

* Mon Sep 29 2003 Than Ngo <than@redhat.com> 6:3.1.4-1
- 3.1.4

* Thu Sep 04 2003 Than Ngo <than@redhat.com> 6:3.1.3a-1
- 3.1.3a

* Thu Aug 28 2003 Than Ngo <than@redhat.com> 6:3.1.3-8
- adopted a patch file from Mandrake, it fixes full screen problem

* Wed Aug 27 2003 Than Ngo <than@redhat.com> 6:3.1.3-7
- rebuilt

* Wed Aug 27 2003 Than Ngo <than@redhat.com> 6:3.1.3-6
- rebuilt

* Fri Aug 22 2003 Than Ngo <than@redhat.com> 6:3.1.3-5
- fix build problem with gcc 3.x

* Wed Aug 06 2003 Than Ngo <than@redhat.com> 6:3.1.3-4
- rebuilt

* Wed Aug 06 2003 Than Ngo <than@redhat.com> 6:3.1.3-3
- add patch file to fix horizontal scrollbar issue

* Thu Jul 31 2003 Than Ngo <than@redhat.com> 6:3.1.3-2
- rebuilt

* Tue Jul 29 2003 Than Ngo <than@redhat.com> 6:3.1.3-1
- 3.1.3
- add Prereq: dev

* Tue Jun 17 2003 Than Ngo <than@redhat.com> 6:3.1.2-7
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun May 18 2003 Than Ngo <than@redhat.com> 6:3.1.2-5
- remove workaround for glibc bug

* Wed May 14 2003 Than Ngo <than@redhat.com> 6:3.1.2-3
- fix dependence bug

* Tue May 13 2003 Than Ngo <than@redhat.com> 6:3.1.2-2
- fix a bug in loading openssl library

* Mon May 12 2003 Than Ngo <than@redhat.com> 6:3.1.2-1
- 3.1.2

* Wed Apr 30 2003 Than Ngo <than@redhat.com> 6:3.1.1-7
- build with -fpic on ppc (ld bugs)

* Mon Apr 28 2003 Than Ngo <than@redhat.com> 6:3.1.1-6
- libjpeg-devel and bzip2-devel in buildrequires (#89635)

* Thu Apr 24 2003 Than Ngo <than@redhat.com> 6:3.1.1-5
- use pcre native API

* Mon Apr 14 2003 Than Ngo <than@redhat.com> 6:3.1.1-4
- add xrandr support

* Sun Apr 13 2003 Than Ngo <than@redhat.com> 6:3.1.1-3
- PS/PDF file handling vulnerability

* Thu Mar 20 2003 Than Ngo <than@redhat.com> 6:3.1.1-2
- add patch file from CVS to fix: https authentication through proxy fails
- add patch file from CVS to fix: KZip fails for some .zip archives

* Sun Mar 16 2003 Than Ngo <than@redhat.com> 6:3.1.1-1
- 3.1.1 stable release
- move desktop-create-kmenu to kdelibs

* Mon Mar  3 2003 Than Ngo <than@redhat.com> 6:3.1-12
- lan redirect

* Mon Feb 24 2003 Than Ngo <than@redhat.com> 6:3.1-11
- add Buildprereq libart_lgpl-devel

* Mon Feb 24 2003 Than Ngo <than@redhat.com> 6:3.1-10
- move API documentation into kdelibs-devel (#84976)

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 6:3.1-9
- add fix from Thomas Wörner to watch /usr/share/applications
  for changes, (bug #71613)

* Thu Feb 20 2003 Than Ngo <than@redhat.com> 6:3.1-8
- rebuid against gcc 3.2.2 to fix dependency in la file

* Thu Feb 13 2003 Thomas Woerner <twoerner@redhat.com> 6:3.1-7
- fixed arts bug #82750, requires rebuild of kdelibs

* Tue Feb 11 2003 Than Ngo <than@redhat.com> 6:3.1-6
- fix Norway i18n issue, bug #73446

* Mon Feb 10 2003 Than Ngo <than@redhat.com> 6:3.1-5
- konqueror crashes on a double click, bug #81503

* Sun Feb  9 2003 Than Ngo <than@redhat.com> 6:3.1-4
- add patch to support the macromedia, bug #83808

* Thu Feb  6 2003 Than Ngo <than@redhat.com> 6:3.1-3
- add patch to set correct default encoding, bug #82539
- don't overwrite defaultstyle, bug #74795, #80103

* Fri Jan 31 2003 Than Ngo <than@redhat.com> 6:3.1-2
- Add better resize icon patch from Thomas Woerner

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 6:3.1-1
- 3.1 final

* Sun Jan 26 2003 Than Ngo <than@redhat.com> 6:3.1-0.16
- use make apidox to create KDE api instead doxygen

* Thu Jan 24 2003 Than Ngo <than@redhat.com> 6:3.1-0.15
- use doxygen to create api docs
- clean up specfile

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 6:3.1-0.14
- rebuild

* Wed Jan 22 2003 Than Ngo <than@redhat.com> 3.1-0.13
- rc7

* Thu Jan 16 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.12
- added icon scale patch
- added ia64 again

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.11
- excluded ia64

* Sun Jan 12 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.10
- rebuild

* Fri Jan 10 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.9
- removed silly size_t check

* Fri Jan 10 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.8
- rc6

* Fri Jan 10 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.7
- ssl uses krb5

* Sat Dec 28 2002 Than Ngo <than@redhat.com> 3.1-0.6
- rebuild

* Mon Dec 16 2002 Than Ngo <than@redhat.com> 3.1-0.5
- rebuild

* Thu Dec 12 2002 Than Ngo <than@redhat.com> 3.1-0.4
- fix dependency bug
- use kdoc to create api docs

* Sat Nov 30 2002 Than Ngo <than@redhat.com> 3.1-0.3
- fix bug #78646
- set kde_major_version

* Fri Nov 22 2002 Than Ngo <than@redhat.com> 3.1-0.2
- use doxygen to create api docs

* Tue Nov 19 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update rc4
- adjust many patch files for 3.1
- remove some patch files, which are now in 3.1

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1.1
- conform strict ANSI (bug #77603)

* Sat Nov  9 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Wed Oct 16 2002 Than Ngo <than@redhat.com> 3.0.4-3
- rebuild to get rid of libstdc++.la on x86_64
- cleanup sepcfile
- dependency issue

* Sat Oct 12 2002 Than Ngo <than@redhat.com> 3.0.4-2
- better handling of desktop file renames (bug #74071)
- initLanguage issue

* Thu Oct 10 2002 Than Ngo <than@redhat.com> 3.0.4-1

- 3.0.4
- Added 2 patch files for built-in tests from AndreyPozdeev@rambler.ru (bug #75003)
- Added KDE Url (bug #54592)

* Tue Oct  8 2002 Than Ngo <than@redhat.com> 3.0.3-10
- Added fix to get correct Lib directory name on 64bit machine
- New fix to handle desktop file renames (bug #74071)

* Fri Sep 20 2002 Than Ngo <than@redhat.com> 3.0.3-8.1
- Konqueror Cross Site Scripting Vulnerability

* Sun Sep  1 2002 Than Ngo <than@redhat.com> 3.0.3-8
- remove merging share/applnk

* Sat Aug 31 2002 Than Ngo <than@redhat.com> 3.0.3-7
- put Red Hat in the version number
- desktop file issue

* Tue Aug 27 2002 Phil Knirsch <pknirsch@redhat.com> 3.0.3-6
- Removed gcc31 patch as it breaks the Netscape plugin in gcc32.

* Mon Aug 26 2002 Phil Knirsch <pknirsch@redhat.com> 3.0.3-5
- Use LANG env as default if available
- Fixed general language handling problems

* Sun Aug 25 2002 Than Ngo <than@redhat.com> 3.0.3-4
- revert about KDE, use preference

* Thu Aug 22 2002 Than Ngo <than@redhat.com> 3.0.3-3
- Added katetextbuffermultibyte patch from Leon Ho (bug #61464)
- build against new qt

* Tue Aug 13 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.3-2
- Update to 3.0.3 respin to fix SSL security bug

* Sun Aug 11 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- Added ksyscoca patch from Harald Hoyer

* Thu  Aug  8 2002 Than Ngo <than@redhat.com> 3.0.2-6
- Added better system tray dock patch from Harald Hoyer

* Fri Aug  2 2002 Than Ngo <than@redhat.com> 3.0.2-5
- Fixed a bug in ktip (bug #69627,70329)

* Fri Aug  2 2002 Than Ngo <than@redhat.com> 3.0.2-4
- Added system tray dock patch from Harald Hoyer
- Added Buildrequires audiofile-devel (bug #69983)
- Added Buildrequires openssl-devel (bug #64858)
- Rebuild against qt 3.0.5 (bug #70379)
- Added patch to remove "about KDE" menu item from help menu (bug #67287)
- Fixed dependencies bug by update (bug #69798)
- Added some bugfixes from 3.0.2 stable branches

* Fri Aug  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-3
- Add some bugfixes from CVS (mostly HTML rendering fixes)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 3.0.2-2
- rebuild using gcc-3.2-0.1

* Tue Jul  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-1
- 3.0.2

* Tue Jun 25 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020625.1
- Make KLocale respect the LANG setting when kpersonalizer wasn't run

* Mon Jun 24 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020624.1
- Update, should be VERY close to 3.0.2 final now.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 20 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020620.1
- Update
- Remove the malloc hack, it's no longer needed with glibc 2.2.90

* Tue May 28 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-3
- Add support for xdg-list icon theme spec

* Fri May  9 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Wed May  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-12
- Update to KDE_3_0_BRANCH
- Do away with the GCC296 define, it's handled automatically

* Thu May  2 2002 Than Ngo <than@redhat.com> 3.0.0-11
- add some fixes from KDE CVS
- build against gcc-3.1-0.26/qt-3.0.3-12

* Mon Apr 15 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-10
- Change sonames to something indicating the compiler version if a compiler
  < gcc 3.1 is used
- Add compat symlinks for binary compatibility with other distributions

* Thu Apr 11 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-9
- Fix Qt designer crash when loading KDE plugins

* Tue Apr  9 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-8
- Add build requirement on samba >= 2.2.3a-5 to make sure the correct
  smb ioslave can be built

* Mon Apr  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-7
- Merge the following fixes from KDE_3_0_BRANCH:
  - RFC 2818 compliance for KSSL
  - Detect premature loss of connection in http ioslave (this may have
    been the cause of the bugzilla CGI.pl:1444 issue)
  - Don't send SIGHUP to kdesu child applications
  - Fix KHTML form rendering problems

* Wed Apr  3 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-6
- Fix up timeout problems with form submissions (#62196)

* Wed Apr  3 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-5
- Merge kjs crash-on-invalid-input fix from KDE_3_0_BRANCH

* Thu Mar 28 2002 Than Ngo <than@redhat.com> 3.0.0-4
- fix kde version

* Thu Mar 28 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Add another khtml rendering fix

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-2
- Add a khtml fix from KDE_3_0_BRANCH, prevents form content from
  being submitted twice, which probably caused the CGI.pl:1444 bug
  some people have noted with Bugzilla.

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- Update to final
- Add fixes from KDE_3_0_BRANCH

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020326.2
- scale down icons for submenus pointing to legacy
  applications rather than keeping them at 32x32 (bug #61506)

* Mon Mar 25 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020325.1
- Build the Keramik style

* Thu Mar 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020314.1
- s/qDebug/kdDebug/

* Mon Mar 11 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020311.1
- Reduce debug spewage

* Fri Mar  1 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020301.1
- Update

* Fri Feb 15 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020215.1
- Update
- arts is no longer part of kdelibs

* Mon Feb 11 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020211.1
- Update
- Build with Xinerama support

* Mon Jan 28 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020128.3
- Rebuild from a fresh CVS checkout

* Mon Jan 28 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020128.1
- KABC::AddressBook::reload() added

* Sat Jan 26 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020126.1
- Update to get API changes
- Build with CUPS support

* Thu Jan 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020117.1
- Update

* Wed Jan  9 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020109.1
- Stop excluding alpha, gcc has been fixed
- Fix generation of API docs
- Fix up SSL support

* Mon Jan  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020107.1
- arts-devel provides kdelibs-sound-devel for backwards compatibility
- Update, rebuild with gcc 3.1-0.15

* Fri Jan  4 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020104.1
- Update
- Make sure we aren't built with gcc 3.1 prior to -0.14
- Remove -O0 hack, no longer needed with gcc 3.1-0.14
- Adapt spec file to base changes (good-bye, libkfile, libkssl and libksycoca!)

* Sat Dec 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011229.1
- Update
- stop excluding alpha

* Fri Dec 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011214.1
- Update
- Update Japanese patches
- Temporarily exclude alpha (compiler bugs)
- Add workaround for gcc bug #57502

* Sun Nov 11 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20011111.1
- Get rid of kdelibs-sound, kdelibs-sound-devel; add arts-devel. Makes more
  sense.

* Thu Oct 18 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20011018.1
- Various 3.0 related fixes

* Thu Aug  2 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010802.1
- Remove the japanese khtml patches, they break too many non-japanese web
  pages

* Mon Jul 30 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010730.1
- Update, fixes <option size> handling in khtml (#50303)
- Add japanese patches

* Thu Jul 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010726.1
- Add yet another build dependency (#49909)

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Remove internal libxslt, we have the real thing
- Remove ia64 workarounds, no longer needed

* Sat Jul 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010721.1
- Move artsmessage from arts to kdelibs-sound
- Update

* Fri Jul 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010720.2
- Move libartskde from arts to kdelibs-sound

* Fri Jul 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010720.1
- Update
- Work around ia64 breakages

* Wed Jun 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.beta1.1
- beta 1

* Tue Jun 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010626.1
- Update
- Obsolete kdesupport, kdesupport-devel

* Wed May 16 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010516.1
- Update

* Mon May 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010514.1
- Fix up pcre detection in CVS
- Update, fixes "easy enter form" in Bugzilla

* Thu May 10 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010510.1
- Update to CVS, fix second half of bug #40087

* Fri May 04 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010503.1
- Update to CVS after fixing bugs #38894, #30575
  directly in the CVS tree

* Sun Apr 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha1.2
- create subpackages for MySQL and Postgres KDB plugins to avoid
  unnecessary dependencies

* Wed Apr 18 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha1.1
- 2.2alpha1
- require pcre, pcre-devel

* Tue Apr  3 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-5
- Merge fixes from current KDE_2_1_BRANCH - fixes 2 memory leaks and
  makes kio_http more tolerant to broken Auth requests sent by some
  servers
- Add missing mcop{class,type} files in arts package
- Handle PATH changes in kdesu, some KControl modules need /sbin in the
  PATH... (#34209)
- Add KDE2PORTING.html file in /usr/share/docs/kdelibs-devel-%{version},
  it's quite useful...

* Thu Mar 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-3
- Fix up kded to watch directories we can't write to
- Use mkstemp() rather than tmpfile() for xauth file generation
  in kdesu

* Wed Mar 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-2
- Fix up cookie escaping (this should finally fix bugzilla for good)
- Security: cookies shouldn't be world readable, some websites store
  login information

* Wed Mar 21 2001 Than Ngo <than@redhat.com>
- disable debug as default

* Tue Mar 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-1
- 2.1.1
- Escape cookies when necessary

* Mon Mar 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-10
- Don't crash in KProcess if getpwuid() returns NULL, happens with
  LDAP authentication
- Require qt >= 2.3.0 (#31770)
- Fix crash in KURLCompletion

* Tue Mar 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-9
- Add some more fixes and <layer> support from KDE_2_1_BRANCH
- Patch KService to not add K menu entries if the desktop files
  aren't readable by the user we're running at (removes bogus
  timetool, control-panel etc. entries; I'd still prefer running
  those through consolehelper over hiding them from users...)

* Fri Mar  9 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Revert to putting config files in /usr/share/config
- Fix up cookie handling when combined with JavaScript (#30577)
- Add some html rendering fixes from KDE_2_1_BRANCH

* Wed Feb 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- /usr/share/config -> /etc/kde
- Use --disable-debug, it works with Qt 2.3.0

* Tue Feb 27 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add khtml+DOM fixes from KDE_2_1_BRANCH
- BuildPrereq docbook stuff so we don't get broken kdb2html stuff

* Thu Feb 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- YAR (Yet Another Respin)

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Mon Feb 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Sun Feb 18 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Disable some more debugging (but leave -DNDEBUG out, it's broken)

* Thu Feb 15 2001 Than Ngo <than@redhat.com>
- create the kdoc-preferences for kdevelop
- put the html documents /usr/share/doc/kdelibs-devel-2

* Wed Feb 14 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add workaround for merging GNOME's non-UTF8 .desktop files
  in the KDE menu

* Tue Feb 13 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- disable debug, but patch out the CXXFLAGS change

* Mon Feb 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Back out --disable-debug change

* Fri Feb  9 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Build with --disable-debug

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Get rid of libkdefakes.so.0 (obsolete)
- Fix the escape sequence patch (#25307)

* Mon Feb  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add Japanese patch from Sato Satoru <ssato@redhat.com>

* Thu Feb  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix klauncher escape sequence handling (#25307, Patch from Tim Waugh)
- Fix krun escape sequence handling (#25134, Patch from Tim Waugh)
- Make /usr/share/doc/HTML/en/kspell/common symlink relative (#24793)

* Thu Jan 25 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Apply patch from CVS to fix up Cookie handling in Konqueror.
  Finally Bugzilla works perfectly in Konqueror.

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- kdelibs-sound-devel requires audiofile-devel, kdelibs-sound doesn't.
- Update, fixes various HTML rendering bugs

* Sat Jan 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Require kdesupport >= 2.0.99 rather than >= %%{version}
  kdesupport doesn't change frequently.

* Fri Jan 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Jan 17 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- remove the Java hacks; KDE now requires a Java 2 compliant
  environment, so there's no chance to get any of it to run
  with current kaffe.

* Tue Jan 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- restore real arts %%description
- require Qt >= 2.2.3 rather than 2.2.0

* Tue Jan 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Move libkmedia2_idl to arts; it's needed there
- Fix up the Java stuff. The new stuff is ugly, but seems to work
- Get rid of the compiler bug workaround: the ICE was triggered by
  unclean code
- Change the description of the arts package for translation purposes

* Mon Jan 15 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Work around compiler bugs (sigh)
- Fix specfile (added files)
- Split arts into a separate package; it's required by SDL,
  and depending on kdelibs-sound (which requires kdelibs)
  is overkill

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Modify the check for an acceptable JVM to accept Kaffe

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add a hack to get a static libartsc

* Sun Jan  7 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsolete kdelibs2* (from 7.0preview)

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Run ldconfig in %post/%postun for kdelibs-sound
- Turn off optimizations on ia64

* Mon Dec 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1beta1

* Thu Nov  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current HEAD

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Another one - fix segfaults in the spellchecker
- fix docs

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update CVS yet again - styles crash fix

* Thu Nov  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update CVS - security fix in Java/Javascript code.
  There seems to be some conspiracy going on - "commit important
  fixes right after Red Hat built new RPMs" or the likes. :>

* Thu Nov  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up handling of desktop files that use TryExec (Bug #20020)
  Patch also committed to KDE CVS

* Wed Nov  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with fixed kdoc

* Fri Oct 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current KDE_2_0_BRANCH, now that most of the ".0 release"
  bugs are fixed
- fix typo in specfile: it's mitshm, not libshm
- Add ksendbugmail, required for the "Report Bug" feature to work

* Sun Oct 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final
- don't --enable-final on alpha (compiler problems)

* Sun Oct  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild

* Sat Sep 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS snapshot
- fix up specfile
- exclude alpha for now (compiler bugs)

* Sat Sep 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- major specfile cleanups
- update CVS

* Fri Sep 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Move back to /usr
- New CVS snapshot
- Clean up specfile
- Use %%defines so we can build CVS snapshots and releases from the same
  specfile

* Fri Aug 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with optimizations re-enabled (Qt works around the problem now)

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new Qt

* Tue Aug 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Sat Aug 05 2000 Than Ngo <than@redhat.de>
- don't use -DNDEBUG and -O2 on alpha,sparc to build, it breaks with Internal
  error (c++ bug)

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current (I fixed the libGL detection issue there)

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move to /usr/lib/kde2
- new snapshot

* Wed Jul 26 2000 Than Ngo <than@redhat.de>
- new snapshot

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot

* Thu Jul 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot, new Qt
- various fixes to spec file
- get rid of -O0, no longer required with gcc 2.96-41 (except on alpha)

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt with gcc-2.96-40

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use gcc 2.96
- new snapshot
- use -O0 for now (ICE)

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Use egcs++
- Epoch 3
- Update to current

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current - segfaulting at initialization time is not a nice
  feature.

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- disable build on ia64 for now (compiler bugs)
- FHSify

* Thu Mar 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- split: move sound support to a separate package, suggestion from
  David Faure <david@linux-mandrake.com>

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Wed Jan 05 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move programming docs to %{_docdir}/kdelibs-devel-%{version}-%{release}
  and to kdelibs-devel package
- new snapshot

* Tue Dec 14 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Add qt version number in Requires, add kdoc HTML help
  (patch from David Faure <david@mandrakesoft.com>)
- Actually use the %clean section

* Mon Nov  1 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- almost completely rewrite spec file - move to DESTDIR system
- current snapshot

* Thu Oct 15 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 snapshots
- Change prefix to respect %{prefix} so we can coexist with KDE 1.x
- kdelibs-devel requires kdelibs

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- move kde_htmldir to /usr/doc/kde
- mark doc files as such

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- fix up perl include path for kdoc

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- remove linking to qimgio from kdecore, moved to kpanel/kfm directly
- renamed "lowcolor" directory to "locolor"

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- added lowcolor icons directory and /usr/share/pixmaps to icon search path
- hacking to recognize .desktop files as application/x-kdelnk

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- added kdoc index files.

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- updated to KDE 1.1.2.
- use /usr/lib/qt-1.44 as qt root.
- separate devel subpackages; include documentation and kdoc.
- added KDE icon.
- relocated includes to /usr/include/kde

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Fri Jan 15 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed redhat-release dependency

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-integrated changes from Duncan Haldane
